/*
Coded by Aydin Gurel, 2003
The code is free, but please contact me if you wish to use the code entirely or partially in any kind of project so that I can reference it and please don't delete these lines so that other people can reach this information. Also, please inform me if you encounter a bug.
aydingurel@hotmail.com
http://aydingurel.brinkster.com/neural
*/

import java.util.Random;

public class Randomizer {

	public Random random;

	// constructor using system clock
	public Randomizer () {
		random = new Random();
	}

	// constructor using seed
	public Randomizer ( long seed ) {
		random = new Random(seed);
	}

	// Method to generate a uniformly distributed value between two values
	public double Uniform (double min, double max) { // throws ...
		return ( random.nextDouble() * (max - min) ) + min;
	}

}