/*
Coded by Aydin Gurel, 2003
The code is free, but please contact me if you wish to use the code entirely or partially in any kind of project so that I can reference it and please don't delete these lines so that other people can reach this information. Also, please inform me if you encounter a bug.
aydingurel@hotmail.com
http://aydingurel.brinkster.com/neural
*/

public class Synapse
{
	public double weight;
	public double prevweight; // to be used during bp
	public double cumulweightdiff; // cumulate changes in weight here during batch training	
	public Neuron sourceunit;
	public Neuron targetunit;
	
	// constructor
	public Synapse (Neuron sourceunit, Neuron targetunit, Randomizer randomizer)
	{
		this.sourceunit = sourceunit;
		this.targetunit = targetunit;
		cumulweightdiff = 0;
		weight = randomizer.Uniform(-1,1);
		prevweight = weight;
	}
}